#!/bin/sh
# $Id: mailq.sh.in,v 1.3 2007/07/11 16:36:06 ca Exp $
#
# Copyright (c) 2005 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#

# -------------------------------------------------------
# Simple wrapper for mailq for meta1
# -------------------------------------------------------

# queue directory
SMXQD=${SMXQDIR:-/var/spool/meta1}
# QMGR
SMXQ=${SMXQ:-meta1q}

# will be replaced by configure
prefix=/usr
exec_prefix=/usr
bindir=/usr/bin

if cd ${SMXQD}
then
  ${bindir}/runas ${SMXQ} ${bindir}/mailq $@
else
  echo "$0: cannot cd ${SMXQD}"
  # /usr/include/sysexits.h
  # define EX_OSFILE	72	/* critical OS file missing */
  exit 72
fi
